package cn.tsy.data.idsse.dsds.model.dict;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 字典-数据样品类型
 * 
 * @author: zxq
 * @date: 2024-05-13 12:18:29
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "DICT_DATA", key = "TSY_ID")
public class DictData extends HmeBean {
	private static final long serialVersionUID = 3331291079369430078L;
	private Integer tsy_id;
	//数据样品类型名称
	private String data_name;
	//分组
	private String data_group;
	//英文名称
	private String data_eng;
	//别名
	private String data_alias;
	//描述信息
	private String data_remark;
	//创建时间
	private LocalDateTime create_time;
	//排序信息
	private Integer data_order;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 数据样品类型名称
	 */
	public String getData_name() {
		return this.data_name;
	}

	/****
	 * 数据样品类型名称
	 */
	public void setData_name(String data_name) {
		this.data_name = data_name;
	}

	/****
	 * 分组
	 */
	public String getData_group() {
		return this.data_group;
	}

	/****
	 * 分组
	 */
	public void setData_group(String data_group) {
		this.data_group = data_group;
	}

	/****
	 * 英文名称
	 */
	public String getData_eng() {
		return this.data_eng;
	}

	/****
	 * 英文名称
	 */
	public void setData_eng(String data_eng) {
		this.data_eng = data_eng;
	}

	/****
	 * 别名
	 */
	public String getData_alias() {
		return this.data_alias;
	}

	/****
	 * 别名
	 */
	public void setData_alias(String data_alias) {
		this.data_alias = data_alias;
	}

	/****
	 * 描述信息
	 */
	public String getData_remark() {
		return this.data_remark;
	}

	/****
	 * 描述信息
	 */
	public void setData_remark(String data_remark) {
		this.data_remark = data_remark;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 排序信息
	 */
	public Integer getData_order() {
		return this.data_order;
	}

	/****
	 * 排序信息
	 */
	public void setData_order(Integer data_order) {
		this.data_order = data_order;
	}


}